"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactHelmet = require("react-helmet");

var _useSiteMetaData = _interopRequireDefault(require("./useSiteMetaData"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const SEO = ({
  description,
  lang,
  meta,
  title
}) => {
  const site = (0, _useSiteMetaData.default)();
  const metaDescription = description || site.description;
  return /*#__PURE__*/_react.default.createElement(_reactHelmet.Helmet, {
    htmlAttributes: {
      lang
    },
    title: title || site.title,
    titleTemplate: `%s | ${site.brand}`,
    meta: [{
      name: 'description',
      content: metaDescription
    }, {
      property: 'og:title',
      content: title
    }, {
      property: 'og:description',
      content: metaDescription
    }, {
      property: 'og:type',
      content: 'website'
    }, {
      name: 'twitter:card',
      content: 'summary'
    }, {
      name: 'twitter:title',
      content: title
    }, {
      name: 'twitter:description',
      content: metaDescription
    }].concat(meta)
  });
};

SEO.defaultProps = {
  lang: 'en',
  meta: [],
  description: '',
  title: ''
};
SEO.propTypes = {
  description: _propTypes.default.string,
  lang: _propTypes.default.string,
  meta: _propTypes.default.arrayOf(_propTypes.default.object),
  title: _propTypes.default.string
};
var _default = SEO;
exports.default = _default;